Skip to content

Update Role

Update an existing role for the target path. The authenticated user must have ADMIN permissions for the targetPath.

Parameters

name * are required parametersdata typedescription
roleId*stringThe unique identifier of the role to update
body.namestringThe display name for the role
body.descriptionstringA description of the role
body.permissionsstring[]Array of permission keys assigned to this role

Return Value

The updated role object.

Error Codes

  • 400 Bad Request: Returned when parameters are invalid.
  • 401 Unauthorized: Returned when permissions are insufficient.

Examples

bash
curl -X PUT "https://app.wombat.software/api/{targetPath}/role/:roleId" \
  -H "Content-Type: application/json" \
  -H "Authentication: Bearer ..." \
  -d '{"name": "Updated Role Name", "permissions": ["READ", "MANAGE_FORM", "MANAGE_TASK"]}'

ENDPOINTS

put/api/{targetPath}/role/:roleId